For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve New Project Members
      • GETRetrieve Projects the user is a member of
      • GETRetrieve Project Members
      • PUTUpdate A List Of User Project Membership
      • GETRetrieve User Project Membership
      • POSTCreate User Project Membership
      • PUTUpdate User Project Membership
      • DELRemove User Project Membership
      • POSTAdd all active people on a business team to a project.
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Members

Add all active people on a business team to a project.

POST
https://api.projectmanager.com/api/data/projects/:projectId/teams/:teamId/members
POST
/api/data/projects/:projectId/teams/:teamId/members
$curl -X POST https://api.projectmanager.com/api/data/projects/projectId/teams/teamId/members \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "projectId": "string",
16 "initials": "string",
17 "name": "string",
18 "avatarUrl": "string",
19 "permission": "string",
20 "color": "string",
21 "permissionOptions": {
22 "none": true,
23 "collaborate": true,
24 "guest": true,
25 "editor": true,
26 "manager": true
27 },
28 "role": "string"
29 }
30}
Resolves the team to its member resources, grants project access to each user who is not already a member, and leaves existing members unchanged. Access levels follow the same rules as creating or updating individual project membership (workspace role constraints, guest vs licensed user, global admin, etc.). A project member is a user who has access to a specific project. Project members are assigned a project security role, which controls the level of access they have to the project. Possible project security roles include manage, edit, collaborate, creator, and guest.
Was this page helpful?
Previous

Retrieve Project Priorities

Next
Built with

Resolves the team to its member resources, grants project access to each user who is not already a member, and leaves existing members unchanged. Access levels follow the same rules as creating or updating individual project membership (workspace role constraints, guest vs licensed user, global admin, etc.).

A project member is a user who has access to a specific project. Project members are assigned a project security role, which controls the level of access they have to the project. Possible project security roles include manage, edit, collaborate, creator, and guest.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
Reference to the project receiving access.
teamIdstringRequiredformat: "uuid"

Business team identifier (BusinessTeamId); all active team members with a user account are considered.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Optional flags for default access (e.g. editor vs collaborator) for newly added members.

addAsEditorbooleanOptional

When true, new teammates receive editor-level access (subject to workspace role rules). When false, they receive collaborator access (again subject to role rules, e.g. guests).

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A ProjectMember is a user who can collaborate on a Project. You can control permissions for what each ProjectMember can do and how they can interact with the Project using this model.